#ifndef CONDITIONSKELETON_H
#define CONDITIONSKELETON_H

#include <string>
#include "Condition.h"

struct neunetParams
{
    int modNo;
    unsigned lld;
    unsigned minTof;
    unsigned maxTof;
};

typedef struct neunetParams neunetParams;

typedef vector< neunetParams > neunetsParams;

/*
class ConditionParam
{
public:
    ConditionParam():
	m_name(""), m_value(0)
    {
	
    }
    ConditionParam(std::string name):
	m_name(name), m_value(0)
    {
	
    }
    ConditionParam(std::string name, unsigned value):
	m_name(name), m_value(value)
    {
	
    }
    virtual ~ConditionParam(){}

    void setValue(unsigned value)
    {
	m_value = value;
    }

    unsigned getValue()
    {
	return m_value;
    }

    void setName(std::string name)
    {
	m_name = name;
    }
    
    std::string getName()
    {
	return m_name;
    }

    void clearVal()
    {
	m_value = 0;
    }

private:
    std::string m_name;
    unsigned m_value;

};
*/

class ConditionSkeleton : public Condition
{
	public:
		ConditionSkeleton();
		virtual ~ConditionSkeleton();
	
	public:
		void init(int index, int modNum, conList* cList);
		void setPrefix(int index, int modNo);
		//void setModuleNum(int modNum);
 	
	private:
		void clear();
		void params();
		void params(int modNo);
		
		//void print();
		//void printVector(std::string name, std::vector<UInt4Pair> value);
	
	public:
		neunetsParams m_neunetsParams;
		//int m_modNumber;
};
#endif

